## org.apache.mahout.fpm.pfpgrowth.fpgrowth
Class FrequentPatternMaxHeap

    java.lang.Object
      org.apache.mahout.fpm.pfpgrowth.fpgrowth.FrequentPatternMaxHeap

    public final class FrequentPatternMaxHeap

extends Object

keeps top K Attributes in a TreeSet

Constructor Summary
`FrequentPatternMaxHeap(int numResults, boolean subPatternCheck)`

Method Summary
`boolean` `addable(long support)`
`void` `addAll(FrequentPatternMaxHeap patterns, int attribute, long attributeSupport)`
`int` `count()`
`PriorityQueue<Pattern>` `getHeap()`
`void` `insert(Pattern frequentPattern)`
`boolean` `isFull()`
`long` `leastSupport()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FrequentPatternMaxHeap

    public FrequentPatternMaxHeap(int numResults,
                                  boolean subPatternCheck)

Method Detail

### addable

    public boolean addable(long support)

### getHeap

    public PriorityQueue<Pattern> getHeap()

### addAll

    public void addAll(FrequentPatternMaxHeap patterns,
                       int attribute,
                       long attributeSupport)

### insert

    public void insert(Pattern frequentPattern)

### count

    public int count()

### isFull

    public boolean isFull()

### leastSupport

    public long leastSupport()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.